cutlass::reference::device::detail::RandomGaussianFunc< Element >::Params Struct Reference

Parameters structure.

`#include <tensor_fill.h>`

## Public Member Functions

| Params (uint64_t seed_=0, Element mean_=0, Element stddev_=1, int int_scale_=-1)
| Construction of Gaussian RNG functor. More...

## Public Attributes

uint64_t | seed
FloatType | mean
FloatType | stddev
int | int_scale

## Constructor & Destructor Documentation

template<typename Element >

cutlass::reference::device::detail::RandomGaussianFunc< Element >::Params::Params | ( | uint64_t | seed_ = `0`,
|  | Element | mean_ = `0`,
|  | Element | stddev_ = `1`,
|  | int | int_scale_ = `-1`
| ) |  |

inline

## Member Data Documentation

template<typename Element >

int cutlass::reference::device::detail::RandomGaussianFunc< Element >::Params::int_scale

template<typename Element >

FloatType cutlass::reference::device::detail::RandomGaussianFunc< Element >::Params::mean

template<typename Element >

uint64_t cutlass::reference::device::detail::RandomGaussianFunc< Element >::Params::seed

template<typename Element >

FloatType cutlass::reference::device::detail::RandomGaussianFunc< Element >::Params::stddev

The documentation for this struct was generated from the following file:

- device/tensor_fill.h